Package: groovy.util.slurpersupport

## [Java] Class FilteredAttributes

- groovy.util.slurpersupport.FilteredAttributes

- Lazy evaluated representation of a node's attributes filtered by a Closure.

  Authors:
    John Wilson

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FilteredAttributes (GPathResult parent, Closure closure, Map<String, String> namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Iterator` | `nodeIterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Attributes` | `getLength, getValue, getValue, getValue, getType, getType, getType, getIndex, getIndex, getURI, getQName, getLocalName`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public FilteredAttributes(GPathResult parent, Closure closure, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `closure` - the Closure to use to filter the attributes
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### public Iterator nodeIterator()